* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
  scroll-behavior: smooth;
}

:root {

  --charcoal: #353333;
  --pink: #f5b7d2;
  --brown: rgb(187, 125, 66);
  --white: #fffdd0;


  --black: #000000;
  --blush: #F8C8DC;
  --rose: #E75480;
}

html,
body {
  font-family: 'allura';
  background: var(--black);
  width: 100%;
  cursor: pointer;
  scroll-behavior:smooth;
  overflow-x:hidden;
  color: var(--white);
}

a{
    text-decoration:none;
    color:inherit;
}

/* TOP NAV */
.back{
  display:flex;
  gap:8px;
  padding:10px 15px;
  border-radius:20px;
  background:var(--black);
  text-decoration:none;
  color:var(--pink);
  transition:.3s;
  height: 40px;
  width: 170px;

}


.back p,
.back i{
  color:var(--pink);
  text-decoration:none;
}

.back:hover *{ 
  text-decoration: underline;
  
  
}

.search-container{
  position: relative;
  width: 500px;
  margin-left: 95px;
}


.search-wrapper i {
  font-size: 16px;
  color: var(--pink);
  cursor: pointer;
}

.search-wrapper {
  display: flex;
  width: 300px;
  background-color: var(--black);
  border: 1px solid;
  border-radius: 25px;
  padding: 10px;
  cursor: pointer;
  transition: box-shadow 0.3s;
  position: relative;
  margin-left: 20px; /* or whatever spacing you want */
  box-shadow: 0 0 10px var(--white);
}

.search-wrapper input {
  width: 100%;
  border: none;
  outline: none;
  background-color: transparent;
  font-size: 16px;
  padding-left: 5px;
  color: var(--white);
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--black);
  display: flex; 

  padding: 15px 15px;
  z-index: 200;
  border-bottom: 1px solid #222;
}

.site-header {
  display: flex;

  padding: 10px 17px;
  position:relative;
  height: 60px;
}

a {
  text-decoration: none;
}


.product-card:hover{
  transform:translateY(-5px);
}

/* PRODUCTS */
.products{
  display:flex;
  gap:20px;
  overflow-x:auto;
  overflow-y:hidden;
  margin:0;
  padding:5px 5px 10px 0;
  align-items:flex-start;
  scrollbar-width:thin;
  scrollbar-color:rgba(255,255,255,.35) transparent;
}

/* Chrome / Edge / Safari */

.products::-webkit-scrollbar{
  height:6px;
}

.products::-webkit-scrollbar-track{
  background:transparent;
}

.products::-webkit-scrollbar-thumb{
  background:rgba(255,255,255,.35);
  border-radius:999px;
}

.products::-webkit-scrollbar-button{
  display:none;
}

.product-card{
  min-width:260px;
  flex-shrink:0;
  background:#111;
  border:none;
  outline:none;
  overflow:hidden;
  transition:0.3s ease;
}

.product-card img{
  width:100%;
  height:320px;
  display:block;
  object-fit:cover;
  background-color: var(--rose);
}

.product-info{
  padding:15px;
}

.product-info h3{
  font-size:1rem;
  margin-bottom:8px;
  color:white;
}

.price{
  font-weight:700;
  margin-top:5px;
  color:var(--brown);
}


/* SEARCH RESULTS */

#searchResults{
  display:none;
  position:absolute;
  top:calc(100% + 5px);
  left:20px;
  width:300px;   /* same width as the search bar */
  background:#111;
  border-radius:12px;
  overflow:hidden;
  z-index:500;
}

.result-item{
  padding:18px 20px;

  border-bottom:1px solid rgba(255,255,255,0.08);

  transition:0.3s ease;

  cursor:pointer;
}

.result-item:hover{
  background:#1b1b1b;
}

.result-item a{
  color:white;
  text-decoration:none;
  display:block;
}

.result-item h4{
  color:var(--pink);
  margin-bottom:5px;
}

.result-item p{
  color:#aaa;
  font-size:14px;
}

/* SEARCH PAGE LAYOUT */

.search-layout{
  display:flex;
  align-items:flex-start;
  gap:10px;
  max-width:1400px;
  margin:auto;
  padding:0 30px 10px;
}


/* RIGHT SIDE */

.best-sellers-section{
  flex:1;
  min-width:0;
  display:flex;
  flex-direction:column;
  gap:20px;
}
.best-sellers-section h1{
  color:var(--pink);
  font-size:40px;
  margin-top:20px;
}
/* POPULAR SEARCHES */

.popular-searches{
  width:240px;
  background:var(--charcoal);
  padding:10px;
  border:1px solid rgba(255,255,255,0.05);
  position:sticky;
  top:10px;
  height: 510px;
  margin-right: 20px;
}
.popular-searches h3{
  color:white;
  font-size:25px;
  margin-bottom:20px;
  margin-top:22px;
  font-family:'Roboto', sans-serif;
}

.popular-tags{
  display:flex;
  flex-direction: column;
  gap:12px;
  flex: 1;
}

.popular-tags span{
  background:var(--brown);
  color:var(--white);
  padding:18px 30px;
  font-size:17px;
  transition:0.3s ease;
  cursor:pointer;
  border-radius: 5px;
  margin-right: 20px;
}

.popular-tags span:hover{
  background:var(--pink);
  color:black;
}

/* MOBILE */

@media (max-width:900px){

    .site-header{
        flex-direction:column;
        gap:20px;
        height:auto;
        padding:15px;
    }

    .search-container{
        width:100%;
        margin-left:0;
    }

    .search-wrapper{
        max-width:100%;
        margin-left:0;
    }

    .search-layout{
        flex-direction:column;
        padding:10px 20px 40px;
    }

    .popular-searches{
        width:100%;
        position:relative;
        height:auto;
        margin-right:0;
    }

    .products{
        gap:15px;
    }

    .product-card{
        min-width:220px;
    }

    #searchResults{
        width:100%;
        max-width:100%;
    }

}

